com.lowagie.rups

## Class Rups

- java.lang.Object
- - com.lowagie.rups.Rups

    public class Rups
    extends java.lang.Object

iText RUPS is a tool that allows you to inspect the internal structure of a PDF file.

### Field Summary

Fields
`private static long` `serialVersionUID` Serial Version UID.

### Constructor Summary

Constructors
Constructor and Description
`Rups()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)` Main method.
`static void` `startApplication()` Initializes the main components of the Rups application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serial Version UID.

See Also:
  Constant Field Values

### Constructor Detail

#### Rups

    public Rups()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

Main method. Starts the RUPS application.

Parameters:
  `args` - no arguments needed

#### startApplication

    public static void startApplication()

Initializes the main components of the Rups application.